LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XCipherContextSupplier Interface Reference

This interface allows to get an object that allows to encrypt/decrypt data using the specified algorithm. More...

`import"XCipherContextSupplier.idl";`

Inheritance diagram for XCipherContextSupplier:

## Public Member Functions
XCipherContext | getCipherContext ([in] long nCipherID, [in] sequence< byte > aKey, [in] sequence< byte > aInitializationVector, [in] boolean bEncryption, [in] sequence< ::com::sun::star::beans::NamedValue > aParams) raises ( ::com::sun::star::lang::IllegalArgumentException )
| returns an object that allows to encrypt/decrypt data. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface allows to get an object that allows to encrypt/decrypt data using the specified algorithm.

Since
  OOo 3.4

## Member Function Documentation

## ◆ getCipherContext()

XCipherContext getCipherContext | ( | [in] long | nCipherID,
|  | [in] sequence< byte > | aKey,
|  | [in] sequence< byte > | aInitializationVector,
|  | [in] boolean | bEncryption,
|  | [in] sequence< ::com::sun::star::beans::NamedValue > | aParams
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

returns an object that allows to encrypt/decrypt data.

Parameters

  nCipherID | the internal ID specifying the algorithm, should take value from CipherID
  aKey | the key that should be used for the encryption
  aInitializationVector | the initialization vector that should be used for the encryption
  bEncryption | whether an encryption or decryption cipher should be created `TRUE` - Encryption `FALSE` - Decryption
  aParams | optional parameters that could be used to initialize the cipher,

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of provided arguments is illegal

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XCipherContextSupplier.idl